gnutls_srp_base64_decode_alloc(3)

NAME
gnutls_srp_base64_decode_alloc - decode SRP-base64 encoded data

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_base64_decode_alloc(const gnutls_datum_t * b64_data, gnutls_datum_t * result);

ARGUMENTS

const gnutls_datum_t * b64_data
    contains the encoded data

gnutls_datum_t * result
    the place where decoded data lie

DESCRIPTION
This function will decode the given encoded data. The decoded data will be allocated, and stored into result. It will decode using the base64 algorithm as used in libsrp. You should use gnutls_free() to free the returned data. Warning! This base64 encoding is not the "standard" encoding, so do not use it for non-SRP purposes.

RETURNS
0 on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.